Skip to content
ShaireDevelopers

workspaces

16 endpoints.

get/api/workspaces#

Request
curl https://api.shairelabs.com/api/workspaces \
  -H "Authorization: Bearer $SHAIRE_TOKEN"

Response · 200 · Workspace[]

idstring · uuid*
namestring*
slugstring*
ticketPrefixstring*
planstring*
starterteamgrowthbusiness
featuresobject*
knowledgeboolean*
milestonesboolean*
cyclesboolean*
boardViewboolean*
calendarViewboolean*
timelineViewboolean*
timeTrackingboolean*
customFieldsboolean*
relationsboolean*
reportsboolean*
gitIntegrationboolean*
intakeFormsboolean*
workflowOverrideboolean*
iconUrlstring | null*
createdAtstring*

Also answers 401 and 403. SeeErrors.

get/api/workspaces/current#

Request
curl https://api.shairelabs.com/api/workspaces/current \
  -H "Authorization: Bearer $SHAIRE_TOKEN"

Response · 200 · Workspace

idstring · uuid*
namestring*
slugstring*
ticketPrefixstring*
planstring*
starterteamgrowthbusiness
featuresobject*
knowledgeboolean*
milestonesboolean*
cyclesboolean*
boardViewboolean*
calendarViewboolean*
timelineViewboolean*
timeTrackingboolean*
customFieldsboolean*
relationsboolean*
reportsboolean*
gitIntegrationboolean*
intakeFormsboolean*
workflowOverrideboolean*
iconUrlstring | null*
createdAtstring*

Also answers 401 and 403. SeeErrors.

patch/api/workspaces/current#

workspace:adminadmin only

Body

namestring*
min length 1 · max length 120
Request
curl https://api.shairelabs.com/api/workspaces/current \
  -X PATCH \
  -H "Authorization: Bearer $SHAIRE_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"name":"example"}'

Response · 200 · Workspace

idstring · uuid*
namestring*
slugstring*
ticketPrefixstring*
planstring*
starterteamgrowthbusiness
featuresobject*
knowledgeboolean*
milestonesboolean*
cyclesboolean*
boardViewboolean*
calendarViewboolean*
timelineViewboolean*
timeTrackingboolean*
customFieldsboolean*
relationsboolean*
reportsboolean*
gitIntegrationboolean*
intakeFormsboolean*
workflowOverrideboolean*
iconUrlstring | null*
createdAtstring*

Also answers 401 and 403. SeeErrors.

patch/api/workspaces/current/features#

workspace:adminadmin only

Body

featurestring*
knowledgemilestonescyclesboardViewcalendarViewtimelineViewtimeTrackingcustomFieldsrelationsreportsgitIntegrationintakeForms
enabledboolean*
Request
curl https://api.shairelabs.com/api/workspaces/current/features \
  -X PATCH \
  -H "Authorization: Bearer $SHAIRE_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"feature":"knowledge","enabled":false}'

Response · 200 · Workspace

idstring · uuid*
namestring*
slugstring*
ticketPrefixstring*
planstring*
starterteamgrowthbusiness
featuresobject*
knowledgeboolean*
milestonesboolean*
cyclesboolean*
boardViewboolean*
calendarViewboolean*
timelineViewboolean*
timeTrackingboolean*
customFieldsboolean*
relationsboolean*
reportsboolean*
gitIntegrationboolean*
intakeFormsboolean*
workflowOverrideboolean*
iconUrlstring | null*
createdAtstring*

Also answers 401 and 403. SeeErrors.

get/api/workspaces/current/members#

Request
curl https://api.shairelabs.com/api/workspaces/current/members \
  -H "Authorization: Bearer $SHAIRE_TOKEN"

Response · 200 · WorkspaceMember[]

idstring · uuid*
emailstring · email*
namestring*
firstNamestring | null*
lastNamestring | null*
displayNamestring | null*
avatarUrlstring | null*
emailVerifiedboolean*
createdAtstring*
joinedAtstring*
rolestring*
owneradminmemberguest

Also answers 401 and 403. SeeErrors.

get/api/workspaces/current/plan#

Request
curl https://api.shairelabs.com/api/workspaces/current/plan \
  -H "Authorization: Bearer $SHAIRE_TOKEN"

Response · 200 · WorkspacePlan

planstring*
starterteamgrowthbusiness
seatLimitinteger | null*
seatsUsedinteger*
billingIntervalstring*
monthlyannual
storageLimitBytesinteger | null*
storageUsedBytesinteger*
storageStatusstring*
oknearFullfull
knowledgeLimitBytesinteger | null*
knowledgeUsedBytesinteger*
knowledgeStatusstring*
oknearFullfull
seatStatusstring*
okoverCapacitylocked

Also answers 401 and 403. SeeErrors.

get/api/workspaces/current/status-groups#

Request
curl https://api.shairelabs.com/api/workspaces/current/status-groups \
  -H "Authorization: Bearer $SHAIRE_TOKEN"

Response · 200 · StatusGroupDetail[]

idstring · uuid*
workspaceIdstring · uuid*
namestring*
positionstring*
createdAtstring*
statusesobject[]*
[item]object
idstring · uuid*
workspaceIdstring · uuid*
statusGroupIdstring · uuid*
namestring*
systemicStatestring*
openin_progressdonecanceled
colorstring*
positionstring*
deniedFrom(string · uuid)[]*
entryGuardsstring[]*

Also answers 401 and 403. SeeErrors.

post/api/workspaces/current/status-groups#

workspace:adminadmin only

Body

namestring*
min length 1 · max length 120
Request
curl https://api.shairelabs.com/api/workspaces/current/status-groups \
  -X POST \
  -H "Authorization: Bearer $SHAIRE_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"name":"example"}'

Response · 201 · StatusGroupDetail

idstring · uuid*
workspaceIdstring · uuid*
namestring*
positionstring*
createdAtstring*
statusesobject[]*
[item]object
idstring · uuid*
workspaceIdstring · uuid*
statusGroupIdstring · uuid*
namestring*
systemicStatestring*
openin_progressdonecanceled
colorstring*
positionstring*
deniedFrom(string · uuid)[]*
entryGuardsstring[]*

Also answers 401 and 403. SeeErrors.

patch/api/workspaces/current/status-groups/{id}#

workspace:adminadmin only

Path

idstring*

Body

namestring*
min length 1 · max length 120
Request
curl https://api.shairelabs.com/api/workspaces/current/status-groups/$STATUS_GROUP_ID \
  -X PATCH \
  -H "Authorization: Bearer $SHAIRE_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"name":"example"}'

Response · 200 · StatusGroup

idstring · uuid*
workspaceIdstring · uuid*
namestring*
positionstring*
createdAtstring*

Also answers 401 and 403. SeeErrors.

delete/api/workspaces/current/status-groups/{id}#

workspace:adminadmin only

Path

idstring*
Request
curl https://api.shairelabs.com/api/workspaces/current/status-groups/$STATUS_GROUP_ID \
  -X DELETE \
  -H "Authorization: Bearer $SHAIRE_TOKEN"

Response · 204

Also answers 401 and 403. SeeErrors.

post/api/workspaces/current/status-groups/{id}/statuses#

workspace:adminadmin only

Path

idstring*

Body

namestring*
min length 1 · max length 60
systemicStatestring*
openin_progressdonecanceled
colorstring*
afterIdstring · uuid | null
Request
curl https://api.shairelabs.com/api/workspaces/current/status-groups/$STATUS_GROUP_ID/statuses \
  -X POST \
  -H "Authorization: Bearer $SHAIRE_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"name":"example","systemicState":"open","color":"example"}'

Response · 201 · WorkspaceStatus

idstring · uuid*
workspaceIdstring · uuid*
statusGroupIdstring · uuid*
namestring*
systemicStatestring*
openin_progressdonecanceled
colorstring*
positionstring*
deniedFrom(string · uuid)[]*
entryGuardsstring[]*

Also answers 401 and 403. SeeErrors.

put/api/workspaces/current/status-groups/{id}/transitions#

workspace:adminadmin only

Path

idstring*

Body

deniedobject[]*
[item]object
fromStatusIdstring · uuid*
toStatusIdstring · uuid*
Request
curl https://api.shairelabs.com/api/workspaces/current/status-groups/$STATUS_GROUP_ID/transitions \
  -X PUT \
  -H "Authorization: Bearer $SHAIRE_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"denied":[]}'

Response · 200 · StatusGroupDetail

idstring · uuid*
workspaceIdstring · uuid*
namestring*
positionstring*
createdAtstring*
statusesobject[]*
[item]object
idstring · uuid*
workspaceIdstring · uuid*
statusGroupIdstring · uuid*
namestring*
systemicStatestring*
openin_progressdonecanceled
colorstring*
positionstring*
deniedFrom(string · uuid)[]*
entryGuardsstring[]*

Also answers 401 and 403. SeeErrors.

get/api/workspaces/current/statuses#

Request
curl https://api.shairelabs.com/api/workspaces/current/statuses \
  -H "Authorization: Bearer $SHAIRE_TOKEN"

Response · 200 · WorkspaceStatus[]

idstring · uuid*
workspaceIdstring · uuid*
statusGroupIdstring · uuid*
namestring*
systemicStatestring*
openin_progressdonecanceled
colorstring*
positionstring*
deniedFrom(string · uuid)[]*
entryGuardsstring[]*

Also answers 401 and 403. SeeErrors.

patch/api/workspaces/current/statuses/{id}#

workspace:adminadmin only

Path

idstring*

Body

namestring
min length 1 · max length 60
systemicStatestring
openin_progressdonecanceled
colorstring
afterIdstring · uuid | null
entryGuardsstring[]
Request
curl https://api.shairelabs.com/api/workspaces/current/statuses/$STATUSE_ID \
  -X PATCH \
  -H "Authorization: Bearer $SHAIRE_TOKEN"

Response · 200 · WorkspaceStatus

idstring · uuid*
workspaceIdstring · uuid*
statusGroupIdstring · uuid*
namestring*
systemicStatestring*
openin_progressdonecanceled
colorstring*
positionstring*
deniedFrom(string · uuid)[]*
entryGuardsstring[]*

Also answers 401 and 403. SeeErrors.

delete/api/workspaces/current/statuses/{id}#

workspace:adminadmin only

Path

idstring*
Request
curl https://api.shairelabs.com/api/workspaces/current/statuses/$STATUSE_ID \
  -X DELETE \
  -H "Authorization: Bearer $SHAIRE_TOKEN"

Response · 204

Also answers 401 and 403. SeeErrors.

patch/api/workspaces/current/workflow-override#

workspace:adminadmin only

Body

overrideboolean*
Request
curl https://api.shairelabs.com/api/workspaces/current/workflow-override \
  -X PATCH \
  -H "Authorization: Bearer $SHAIRE_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"override":false}'

Response · 200 · Workspace

idstring · uuid*
namestring*
slugstring*
ticketPrefixstring*
planstring*
starterteamgrowthbusiness
featuresobject*
knowledgeboolean*
milestonesboolean*
cyclesboolean*
boardViewboolean*
calendarViewboolean*
timelineViewboolean*
timeTrackingboolean*
customFieldsboolean*
relationsboolean*
reportsboolean*
gitIntegrationboolean*
intakeFormsboolean*
workflowOverrideboolean*
iconUrlstring | null*
createdAtstring*

Also answers 401 and 403. SeeErrors.